use based::get_pg;
use based::request::RequestContext;

use rocket::get;
use rocket::response::Responder;
use rocket::routes;

#[get("/")]
pub async fn index_page<'r>(ctx: RequestContext) -> impl Responder<'r, 'static> {
    based::request::assets::DataResponse::new(
        include_bytes!("../Cargo.toml").to_vec(),
        "text/toml".to_string(),
        Some(60 * 60 * 3),
    )
}

#[rocket::launch]
async fn launch() -> _ {
    // Logging
    env_logger::init();

    // Database
    let pg = get_pg!();
    // sqlx::migrate!("./migrations").run(pg).await.unwrap();

    rocket::build().mount("/", routes![index_page])
}
